/*
 *  SokoBan, a Sokoban game.
 *  Copyright (C) 2008  Colomban Wendling <ban@herbesfolles.org>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef __GALLERY_H__
#define __GALLERY_H__


#include "object.h"
#include "map.h"


Object* gallery_getItem (Map itemId);
MyBool gallery_init (void);
void gallery_exit (void);

#define gallery_getWallItem() gallery_getItem (WALL)
#define gallery_getGroundItem() gallery_getItem (GROUND)
#define gallery_getBoxItem() gallery_getItem (BOX)
#define gallery_getBoxdoneItem() gallery_getItem (BOXDONE)
#define gallery_getPointItem() gallery_getItem (POINT)
#define gallery_getNoneItem() gallery_getItem (UNKNOWN)


#endif /* guard */
